### Method

# Gdk DeviceToolget_hardware_id

#### Declaration [src]

    guint64
    gdk_device_tool_get_hardware_id (
      GdkDeviceTool* tool
    )

#### Description [src]

Gets the hardware ID of this tool, or 0 if it’s not known.

When non-zero, the identifier is unique for the given tool model, meaning that two identical tools will share the same `hardware_id`, but will have different serial numbers (see `gdk_device_tool_get_serial()`).

This is a more concrete (and device specific) method to identify a `GdkDeviceTool` than `gdk_device_tool_get_tool_type()`, as a tablet may support multiple devices with the same `GdkDeviceToolType`, but different hardware identifiers.

Gets property | `Gdk.DeviceTool:hardware-id`

#### Return value

Type: `guint64`

The hardware identifier of this tool.